v_deinterlacer: V_deinterlacer_v6_2

| v_deinterlacer Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Data Structures | Enumerations | Functions
V_deinterlacer_v6_2

## Data Structures
struct | XV_Deint_l2
| Deinterlacer Layer 2 data. More...

## Enumerations
enum | XV_DEINTERLACER_ALGO_NON_MEMORY_MODE { XV_DEINTERLACER_NON_MEMORY_BILINEAR = 0, XV_DEINTERLACER_NON_MEMORY_BOB, XV_DEINTERLACER_NON_MEMORY_PASSTHROUGH = 6 }
| This typedef eumerates the deinterlacer non memory mode algo type. More...
enum | XV_DEINTERLACER_ALGO_MEMORY_MODE { XV_DEINTERLACER_MEMORY_MEDIAN = 0, XV_DEINTERLACER_MEMORY_BOB, XV_DEINTERLACER_MEMORY_WEAVE, XV_DEINTERLACER_MEMORY_VERTICAL_TEMPORAL_LINEAR_INTERPOLATION, XV_DEINTERLACER_MEMORY_VERTICAL_TEMPORAL_MEDIAN, XV_DEINTERLACER_MEMORY_PASSTHROUGH = 6 }
| This typedef eumerates the deinterlacer memory mode algo type. More...

## Functions
int | XV_DeintInitialize (XV_Deint_l2 *InstancePtr, u16 DeviceId)
| This function initializes the core instance. More...
void | XV_DeintStart (XV_Deint_l2 *InstancePtr)
| This function starts the deinterlacer core. More...
void | XV_DeintStop (XV_Deint_l2 *InstancePtr)
| This function stops the deinterlacer core. More...
int | XV_DeintWaitForIdle (XV_Deint_l2 *InstancePtr)
| This function waits for the deinterlacer core to report "idle" status. More...
void | XV_DeintSetFieldBuffers (XV_Deint_l2 *InstancePtr, u64 memAddr, XVidC_ColorFormat cformat)
| This function sets the deinterlacer cores RD/WR field buffers addresses and color space. More...
void | XV_DeintDbgReportStatus (XV_Deint_l2 *InstancePtr)
| This function prints Deinterlacer status on console. More...

## Enumeration Type Documentation

enum XV_DEINTERLACER_ALGO_MEMORY_MODE

This typedef eumerates the deinterlacer memory mode algo type.

Enumerator
XV_DEINTERLACER_MEMORY_MEDIAN | Deinterlacer median algorithm in memory mode.
XV_DEINTERLACER_MEMORY_BOB | Deinterlacer bob algorithm in memory mode.
XV_DEINTERLACER_MEMORY_WEAVE | Deinterlacer weave algorithm in memory mode.
XV_DEINTERLACER_MEMORY_VERTICAL_TEMPORAL_LINEAR_INTERPOLATION | Deinterlacer vertical temporal linear interpolation algorithm in memory mode.
XV_DEINTERLACER_MEMORY_VERTICAL_TEMPORAL_MEDIAN | Deinterlacer vertical temporal median algorithm in memory mode.
XV_DEINTERLACER_MEMORY_PASSTHROUGH | Deinterlacer pass through in memory mode.

enum XV_DEINTERLACER_ALGO_NON_MEMORY_MODE

This typedef eumerates the deinterlacer non memory mode algo type.

Enumerator
XV_DEINTERLACER_NON_MEMORY_BILINEAR | Deinterlacer bilinear algorithm in non memory mode.
XV_DEINTERLACER_NON_MEMORY_BOB | Deinterlacer bob algorithm in non memory mode.
XV_DEINTERLACER_NON_MEMORY_PASSTHROUGH | Deinterlacer pass through in non memory mode.

## Function Documentation

void XV_DeintDbgReportStatus | ( | XV_Deint_l2 * | InstancePtr | ) |

This function prints Deinterlacer status on console.

Parameters

  InstancePtr | is the instance pointer to the IP instance.

Returns
  None

References XV_deinterlacer_Config::BaseAddress, and XV_deinterlacer::Config.

int XV_DeintInitialize | ( | XV_Deint_l2 * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function initializes the core instance.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon
  DeviceId | is instance id of the core

Returns
  XST_SUCCESS if device is found and initialized XST_DEVICE_NOT_FOUND if device is not found

void XV_DeintSetFieldBuffers | ( | XV_Deint_l2 * | InstancePtr,
|  | u64 | memAddr,
|  | XVidC_ColorFormat | cformat
| ) |  |

This function sets the deinterlacer cores RD/WR field buffers addresses and color space.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on
  memAddr | is the buffer address in DDR for RD/WR clients
  cformat | is the input stream color format

Returns
  None

void XV_DeintStart | ( | XV_Deint_l2 * | InstancePtr | ) |

This function starts the deinterlacer core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on

Returns
  None

void XV_DeintStop | ( | XV_Deint_l2 * | InstancePtr | ) |

This function stops the deinterlacer core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on

Returns
  None

int XV_DeintWaitForIdle | ( | XV_Deint_l2 * | InstancePtr | ) |

This function waits for the deinterlacer core to report "idle" status.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on

Returns
  XST_SUCCESS if device becomes idle XST_FAILURE if this routine times out before reading "idle" status

Note
  This is intended to be called after XV_DeintStop is called, to wait for all axis and aximm traffic to stop